//#define LOG_NDEBUG 0
#define LOG_TAG "CameraFactory"

#include <cutils/properties.h>
#include "CameraFactory.h"
#include "Common.h"
#include "misc.h"
#include "Debug.h"

namespace androidcamera3
{

CameraHardware3Base* createCamera(int id, int v4l2Id, int facing)
{
    LOG_FUNCTION_NAME();
    return dynamic_cast<CameraHardware3Base*>(new CameraHardware3v2(id, v4l2Id, facing));
}

};
