#ifndef CONVERTER_H
#define CONVERTER_H

void yuv422_to_yuv422_32Align(unsigned char* bufsrc, unsigned char* bufdest, int width, int height);
void yuyv422_to_yuv420(unsigned char* bufsrc, unsigned char* bufdest, int width, int height);
void yuyv422_to_yuv420sp(unsigned char* bufsrc, unsigned char* bufdest, int width, int height);
void yuv420sp_to_yuyv422_libyuv(unsigned char* bufsrc, unsigned char* bufdest, int width, int height);
void yuyv422_to_yuv420sp_libyuv(bool bNV21, unsigned char* bufsrc, unsigned char* bufdest, int width, int height);
void yuyv422_to_yuv420p_libyuv(unsigned char* bufsrc, unsigned char* bufdestY, unsigned char* bufdestCb, unsigned char* bufdestCr, int width, int height);
void yuyv422_to_yuv420sp_scale(unsigned char* pSrc, int srcWidth, int srcHeight, unsigned char* pDst, int dstWidth, int dstHeight);
void yuyv422_to_yuv420sp_libyuv_scale(bool bNV21, unsigned char* pSrc, int srcWidth, int srcHeight, unsigned char* pDst, int dstWidth, int dstHeight);
void yuyv422_scale(unsigned char* pSrc, int srcWidth, int srcHeight, unsigned char* pDst, int dstWidth, int dstHeight);
void yuyv422_scale_libyuv(unsigned char* pSrc, int srcWidth, int srcHeight, unsigned char* pDst, int dstWidth, int dstHeight);
void yuyv422_to_yuv420p(unsigned char* bufsrc, unsigned char* bufdest, int width, int height);
void yuv422_to_rgb565(unsigned char* buf, unsigned char* rgb, int width, int height);
void yuv422_to_rgb565(unsigned char y, unsigned char u, unsigned char v, unsigned char* rgb);
void yuv422_to_rgb565_32Align(unsigned char* buf, unsigned char* rgb, int width, int height);
/*
void yuv422_to_rgb565_32Align_S(unsigned char *buf, unsigned char *Y, unsigned char *U, unsigned char *V, unsigned char *rgb, int width, int height);
void yuv422decode( unsigned char *buf,  unsigned char *Y, unsigned char*U, unsigned char* V, int width, int height);
void yuv422decode_32Align( unsigned char *buf,  unsigned char *Y, unsigned char*U, unsigned char* V, int width, int height);
*/

#endif
